<?php

namespace App\Entity;

class UserCategory 
{
    /** 
     *
     * @var int
     */
    private $userId;
    
    /**
     *
     * @var int
     */
    private $categoryId;
    
    
    public function getUserId(): int
    {
        return $this->userId;
    }
    
    /**
     * 
     * @param int $userId
     * @return $this
     */
    public function setUserId($userId)
    {
        $this->userId = $userId;
        return $this;
    }
    
    
    /**
     * 
     * @return int
     */
    public function getCategoryId(): int
    {
        return $this->categoryId;
    }
    
    /**
     * 
     * @param int $categoryId
     * @return $this
     */
    public function setCategoryId($categoryId)
    {
        $this->categoryId = $categoryId;
        return $this;
    }
}
